# Uses of Interface
org.w3c.dom.css.CSSValue

Packages that use CSSValue
Package
Description
org.w3c.dom.css
Provides interfaces for DOM Level 2 Style Specification.

## Uses of CSSValue in org.w3c.dom.css

Subinterfaces of CSSValue in org.w3c.dom.css
Modifier and Type
Interface
Description
`interface`
`CSSPrimitiveValue`
The `CSSPrimitiveValue` interface represents a single CSS value .
`interface`
`CSSValueList`
The `CSSValueList` interface provides the abstraction of an ordered collection of CSS values.
Methods in org.w3c.dom.css that return CSSValue
Modifier and Type
Method
Description
`CSSValue`
CSSStyleDeclaration.`getPropertyCSSValue(String propertyName)`
Used to retrieve the object representation of the value of a CSS property if it has been explicitly set within this declaration block.
`CSSValue`
CSSValueList.`item(int index)`
Used to retrieve a `CSSValue` by ordinal index.